<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'CaseStudyPricingPlans',
  props: {
    baseData: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section class="slp-mt-64">
    <SlpContainer variant="light-purple-100">
      <div class="slp-my-96 finance-section">
        <a
          class="finance-card"
          :href="baseData.pricing_plan_card.link.href"
          :data-ga-name="baseData.pricing_plan_card.link.data_ga_name"
          :data-ga-location="baseData.pricing_plan_card.link.data_ga_location"
        >
          <SlpIcon
            size="lg"
            variant="marketing"
            :name="baseData.pricing_plan_card.icon"
          />
          <SlpTypography class="slp-mt-24" variant="heading4" tag="h4">
            {{ baseData.pricing_plan_card.heading }}</SlpTypography
          >
          <SlpTypography
            variant="body2-bold"
            class="slp-flex slp-align-items-center slp-mt-24"
          >
            {{ baseData.pricing_plan_card.link.text }}
            <SlpIcon
              class="slp-ml-8"
              name="chevron-lg-right"
              variant="product"
              alt="Chevron Right Icon"
            />
          </SlpTypography>
        </a>
        <a
          class="finance-card"
          :href="baseData.roi_card.link.href"
          :data-ga-name="baseData.roi_card.link.data_ga_name"
          :data-ga-location="baseData.roi_card.link.data_ga_location"
        >
          <SlpIcon
            size="lg"
            variant="marketing"
            :name="baseData.roi_card.icon"
          />
          <SlpTypography class="slp-mt-24" variant="heading4" tag="h4">{{
            baseData.roi_card.heading
          }}</SlpTypography>
          <SlpTypography
            variant="body2-bold"
            class="slp-flex slp-align-items-center slp-mt-24"
          >
            {{ baseData.roi_card.link.text }}
            <SlpIcon
              class="slp-ml-8"
              name="chevron-lg-right"
              variant="product"
              alt="Chevron Right Icon"
            />
          </SlpTypography>
        </a>
      </div>
    </SlpContainer>
  </section>
</template>

<style scoped lang="scss">
.finance-section {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-gap: $spacing-32;
}

@media (max-width: $breakpoint-md) {
  .finance-section {
    grid-template-columns: 1fr;
  }
}

.finance-card {
  background-color: $color-surface-50;
  border-radius: 16px;
  padding: $spacing-32;
  transition: all 0.3s ease-in;

  * {
    color: $color-text-300;
  }

  &:hover {
    box-shadow: 0 24px 50px -16px #d1d0d3;
  }
}
</style>
